Мобильный клиент ios - "Работа с данным приложением не поддерживается"

1. Mi4man 174 11.05.20 11:49 Сейчас в теме
Привет! Создал базу с нуля, добавил пару справочников.
Добавил роль с полными правами и пользователя.
Опубликовал.
На Андроиде открывается нормально, а на ios выходит ошибка "Работа с данным приложением не поддерживается"

Подскажите, в чем может быть проблема?
Прикрепленные файлы:
TreeDogNight; +1 Ответить
По теме из базы знаний
Ответы
Подписаться на ответы Инфостарт бот Сортировка: Древо развёрнутое
Свернуть все
6. Denis_CFO 49 12.05.20 05:47 Сейчас в теме
(1)
а на ios выходит ошибка "Работа с данным приложением не поддерживается"

а вы в свойствах конфигурации зачем назначение использования установили "Приложение для платформы", а не для мобильной платформы?
10. EVKash 15 12.05.20 08:50 Сейчас в теме
(1) может режим совместимости не переваривает айось?
3. Mi4man 174 11.05.20 18:49 Сейчас в теме
(2) Да, последняя.
Если открывать УНФ, то работает на ios норм, если открывать пустую базу с 2-мя справочниками, то такая ошибка
4. SeiOkami 3482 11.05.20 19:08 Сейчас в теме
(3) можете выслать базу?
7. SeiOkami 3482 12.05.20 06:44 Сейчас в теме
(5) у вас в назначении использования конфигурации не стоит мобильное приложение.
Вполне возможно, что дело в этом.



8. Mi4man 174 12.05.20 07:56 Сейчас в теме
(7)
чении использования конфигурации не стоит мобильное приложение.
Вполне возможно, что де


Пробовал, но не помогает.
И аргументы:
- на андроиде же работает
- в типовой УНФ (которая запускается), тоже не стоит "Мобильное приложение"
9. Denis_CFO 49 12.05.20 08:49 Сейчас в теме
попробуйте другую версию платформы. Может именно Ваша iOS не любит.
11. ivanov660 4541 14.05.20 10:21 Сейчас в теме
(9)Предполагаю, что проблема не в версии платформы или конфигурации, а в самой публикации ios - оно не рабочее. Будем ждать, когда 1С выложит нормальную версию.
12. Tandery 26.05.20 19:48 Сейчас в теме
Если добавляли объекты метаданных, то надо обновить подпись мобильного клиента и пересобрать приложение.
TreeDogNight; +1 Ответить
13. TreeDogNight 22 17.06.20 17:17 Сейчас в теме
(12)
мобильного

При каждом изменении структуры метаданных конфигурации необходимо обновлять подпись и пересобирать приложение?
14. Tandery 18.06.20 09:49 Сейчас в теме
(13)
Не при каждом. Если вы добавляете или изменяете реквизиты объектов, то сообщение (Работа с данным приложением не поддерживается) не появляется.
А вот только при добавлении нового регистра, дока и т.д. Но повторю это для iOS. Можно экспериментальным путем для работающего клиента(собранного) изменять конфигурацию и если при запуске нет сообщения, то все работает. Иначе обновлять подпись и пересобирать или вернуть конфигурацию в прежнее состояние.
TreeDogNight; +1 Ответить
15. TreeDogNight 22 18.06.20 09:58 Сейчас в теме
(14) Благодарю за развёрнутый ответ!
16. Sardukar 58 09.11.20 08:47 Сейчас в теме
Вот что я увидел в Плэй маркете:

"Не работает
После выбора пользователя ошибка: «работа с данными приложением не поддерживается». Хотя в приложении на андроид эта база подключается и все работает.

Ответ разработчика
,
Здравствуйте! Это сообщение говорит о том, что ваша конфигурация 1С:ERP содержит изменения. К сожалению, согласно политики магазина приложений App Store, приложение поддерживает работу только с типовой конфигурацией 1С:ERP или конфигурацией, адаптированной при помощи расширений."
17. user1502278 237 22.03.21 12:48 Сейчас в теме
Нужно обновить подпись мобильного клиента, андроид эту опцию игнорирует, а вот iOS, если "подпись конфигурации устарела", будет выдавать такую ошибку.
18. Topchanski 31.05.24 08:41 Сейчас в теме
Добрый день, при запуске мобильного клиента Документооборота столкнулись с такой же ситуацией. База типовая, на андроиде работает. Пробовали выгрузить закрытый ключ в формате .pem на айфон, но он не знает, что с этим файлом делать
19. user2092246 13.06.24 13:39 Сейчас в теме
(18)

Добрый день! Аналогичная проблема. удалось разобраться?
Оставьте свое сообщение

Для получения уведомлений об ответах подключите телеграм бот:
Инфостарт бот